<?xml version="1.0" encoding="UTF-8"?>
<manifest>
  <default upstream="styhead"/>

  <!-- Yocto -->
  <remote name="yocto"
          fetch="git://git.yoctoproject.org"/>
  <project name="poky"
           remote="yocto"
           revision="refs/tags/styhead-5.1.2"
           upstream="styhead"
           path="sources/poky"/>
  <project name="meta-mingw"
           remote="yocto"
           revision="refs/tags/styhead-5.1.2"
           upstream="styhead"
           path="sources/meta-mingw"/>
  <project name="meta-virtualization"
           remote="yocto"
           revision="247ea9c3880a257003ce2cc566fcdbb307ea4374"
           upstream="styhead"
           path="sources/meta-virtualization"/>
  <project name="meta-arm"
           remote="yocto"
           revision="e56a0cd6fe5e796aa59bd0d4bcbbb585ea626199"
           upstream="styhead"
           path="sources/meta-arm"/>

  <!-- OpenEmbedded -->
  <remote name="oe"
          fetch="git://git.openembedded.org"/>
  <project name="meta-openembedded"
           remote="oe"
           revision="6851cbf026088a13b2b45f684838d3dc4d7ccfdd"
           upstream="styhead"
           path="sources/meta-openembedded"/>

  <!-- Clang -->
  <remote name="kraj"
          fetch="https://github.com/kraj"/>
  <project name="meta-clang"
           remote="kraj"
           revision="c709a5196f1e8654425b43b478064395386c36d4"
           upstream="styhead"
           path="sources/meta-clang"/>

  <!-- Boot to Qt -->
  <remote name="qt"
          fetch="git://code.qt.io/yocto"
          pushurl="ssh://codereview.qt-project.org/yocto"/>
  <remote name="gerrit"
          fetch="ssh://codereview.qt-project.org/yocto"/>
  <project name="meta-boot2qt"
           remote="qt"
           revision="styhead"
           upstream="styhead"
           path="sources/meta-boot2qt">
    <linkfile dest="setup-environment.sh" src="scripts/setup-environment.sh"/>
  </project>

  <!-- Boot to Qt vendor layer -->
  <project name="meta-boot2qt-aws"
           remote="qt"
           revision="dev"
           upstream="dev"
           path="sources/meta-boot2qt-aws">
    <linkfile dest="sources/templates" src="conf/templates/default" />
  </project>

  <!-- Qt -->
  <project name="meta-qt6"
           remote="qt"
           revision="6.9.0"
           upstream="6.9.0"
           path="sources/meta-qt6"/>

  <!-- Internal layer for the proprietary device drivers -->
  <remote name="playground"
          fetch="ssh://git@git.qt.io/boot2qt" />
  <project name="nvidia-devnet-mirror"
           remote="playground"
           revision="d7d6195ad2383e34fe3135902bdd673ef7feb67c"
           upstream="linux-aarch64"
           path="sources/nvidia-devnet-mirror"
           groups="notdefault" />

  <!-- Device specific layer with its depends -->
  <remote name="aws"
          fetch="https://github.com/aws4embeddedlinux" />
  <project name="meta-aws"
           remote="aws"
           revision="styhead"
           upstream="styhead"
           path="sources/meta-aws"/>
</manifest>
